Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat
Class CommandMessage

    java.lang.Object
      madkit.kernel.Message
          madkit.MadChat.CommandMessage

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class CommandMessage

extends Message

See Also:
  Serialized Form

Field Summary
`static int` | `MSG_DEOP`
`static int` | `MSG_KICK`
`static int` | `MSG_NICK`
`static int` | `MSG_OP`
`static int` | `MSG_PING`
`static int` | `MSG_PV`
`static int` | `MSG_QUIT`
`static int` | `MSG_SLAP`
`static int` | `MSG_WHOIS`
`static int` | `REQ_LIST`
`static int` | `REQ_SERV`
`static int` | `REQ_SHARE_SRV`

Constructor Summary
`CommandMessage(AgentAddress sender, int messageType, java.lang.String channel, long data)`
`CommandMessage(AgentAddress sender, int messageType, java.lang.String channel, java.lang.String data)`

Method Summary
`java.lang.String` | `getChannel()`
`java.lang.String` | `getData()`
`int` | `getMessageType()`
`AgentAddress` | `getSource()`
`long` | `getTime()`
`void` | `setChannel(java.lang.String channel)`
`void` | `setData(java.lang.String data)`
`void` | `setMessageType(int messageType)`
`void` | `setSource(AgentAddress sender)`

Methods inherited from class madkit.kernel.Message
`clone, getCreationDate, getReceiver, getSender, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REQ_LIST

    public static final int REQ_LIST

See Also:
  Constant Field Values

### REQ_SHARE_SRV

    public static final int REQ_SHARE_SRV

See Also:
  Constant Field Values

### REQ_SERV

    public static final int REQ_SERV

See Also:
  Constant Field Values

### MSG_QUIT

    public static final int MSG_QUIT

See Also:
  Constant Field Values

### MSG_NICK

    public static final int MSG_NICK

See Also:
  Constant Field Values

### MSG_OP

    public static final int MSG_OP

See Also:
  Constant Field Values

### MSG_DEOP

    public static final int MSG_DEOP

See Also:
  Constant Field Values

### MSG_SLAP

    public static final int MSG_SLAP

See Also:
  Constant Field Values

### MSG_KICK

    public static final int MSG_KICK

See Also:
  Constant Field Values

### MSG_PV

    public static final int MSG_PV

See Also:
  Constant Field Values

### MSG_PING

    public static final int MSG_PING

See Also:
  Constant Field Values

### MSG_WHOIS

    public static final int MSG_WHOIS

See Also:
  Constant Field Values

Constructor Detail

### CommandMessage

    public CommandMessage(AgentAddress sender,
                          int messageType,
                          java.lang.String channel,
                          java.lang.String data)

### CommandMessage

    public CommandMessage(AgentAddress sender,
                          int messageType,
                          java.lang.String channel,
                          long data)

Method Detail

### getChannel

    public java.lang.String getChannel()

### setChannel

    public void setChannel(java.lang.String channel)

### getData

    public java.lang.String getData()

### getTime

    public long getTime()

### setData

    public void setData(java.lang.String data)

### getMessageType

    public int getMessageType()

### setMessageType

    public void setMessageType(int messageType)

### getSource

    public AgentAddress getSource()

### setSource

    public void setSource(AgentAddress sender)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.